Index: cacao-trunk/src/vm/properties.c
===================================================================
--- cacao-trunk.orig/src/vm/properties.c	2007-08-31 13:20:41.000000000 +0200
+++ cacao-trunk/src/vm/properties.c	2007-09-04 14:54:19.000000000 +0200
@@ -210,15 +210,22 @@
 
 # if defined(WITH_CLASSPATH_GNU)
 
-	boot_library_path = CLASSPATH_LIBDIR"/classpath";
+	boot_library_path = CLASSPATH_LIBDIR"/classpath:OE_LIBDIR_JNI";
 
 # elif defined(WITH_CLASSPATH_SUN)
 
-	boot_library_path = CLASSPATH_LIBDIR;
+	boot_library_path = CLASSPATH_LIBDIR":OE_LIBDIR_JNI";
 
 # elif defined(WITH_CLASSPATH_CLDC1_1)
 
-	/* No boot_library_path required. */
+	/* No boot_library_path required.
+           Well, don't be that strict on Debian-like
+           environments. Setting this to /usr/lib/jni
+           makes it unneccessary to fumble with
+           LD_LIBRARY_PATH to get things like MIDPath
+           running.
+        */
+	boot_library_path = "OE_LIBDIR_JNI";
 
 # else
 #  error unknown classpath configuration
